LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDispatchInformationProvider Interface Referencepublished

provides information about supported commands More...

`import"XDispatchInformationProvider.idl";`

Inheritance diagram for XDispatchInformationProvider:

## Public Member Functions
sequence< short > | getSupportedCommandGroups ()
| returns all supported command groups. More...
sequence< DispatchInformation > | getConfigurableDispatchInformation ([in] short CommandGroup)
| returns additional information about supported commands of a given command group. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides information about supported commands

This interface can be used to retrieve additional information about supported commands. This interface is normally used by configuration implementations to retrieve all supported commands. A dispatch information provider is normally supported by a Frame service.

See also
  Frame

Since
  OOo 2.0

## Member Function Documentation

## ◆ getConfigurableDispatchInformation()

sequence< DispatchInformation > getConfigurableDispatchInformation | ( | [in] short | CommandGroup | ) |

returns additional information about supported commands of a given command group.

Parameters

  CommandGroup | specifies a command group.

Returns
  name and group name of every command supported. A group ID which is not supported returns an empty com::sun::star::uno::Sequence.

## ◆ getSupportedCommandGroups()

sequence< short > getSupportedCommandGroups | ( |  | ) |

returns all supported command groups.

Returns
  a sequence of supported command groups.

See also
  CommandGroup

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchInformationProvider.idl